import { createCatalog } from '../util/createCatalog.mjs';
import { formatJsonWithPrettier } from '../util/formatPrettier.mjs';
import { isFileOrFolderExists } from '../util/isFileOrFolderExists.mjs';

const cleanUp = async (config) => {
    try {
        await formatJsonWithPrettier(config.snpFileMapConfig);
        await formatJsonWithPrettier(config.snpConfigFile);
        if (!(await isFileOrFolderExists(config.temporaryFolder))) {
            await createCatalog(config.temporaryFolder);
        }
        return config;
    }
    catch (error) {
        console.error(`Error isnt exist: ${error.message}`);
        return config;
    }
};

export { cleanUp };
